Broken plug-in with Adobe Illustrator CC 2021 25.1 on macOS

Explorer ,
Jan 07, 2021

Copy link to clipboard

Copied

Hi

 

I have a plug-in that was working fine with Adobe Illustrator 2021 25.0 but with the update of yesterday (25.1), it is not loaded anymore on macOS. On windows, my plug-in works fine.

 

My plug-in was built with the CC2020 SDK. It was working fine with Adobe Illustrator CC 2020 and CC 2021 (25.0).

 

I decided to compile it with the latest SDK CC2021 (october 2020) but it does not work.

I tried to compile the example LiveDropShadow and it does not work neither.

 

Are there new requirements to compile a plug-in for this new version ?

 

I looked into the getting-started-guide.pdf and I noticed that Xcode 11.3 is needed. 

Xcode 11.3 requires 10.14 to run it and not 10.13 as said in the document.

Moreover the SDK provided by Xcode 11.3.1 is 10.15 and not 10.13.

 

How can I be able to compile my plug-in ?

 

 

Thanks for your answers.

I succeeded to fix my plug-in.

 

There were two problems: 

 

1) The first one was about loading the plug-in. I don't know why but my version of Illustrator was unable to load plug-ins from an additional folder set in the preferences of Illustrator (Section Plug-ins & Scratch Disks of the preferences).  I have uninstalled Illustrator and delete the preferences and reinstalled it. Now it can load plug-in from additional folder. Now the example LiveDropShadow is correctly loaded in Illustrator

 

2) The second problem was about the file plugin.pipl. My plug-in supports several Illustrator versions from CC 2014 to CC 2020. To support Adobe Illustrator CC 2020, I used my project that supports Adobe Illustrator CC 2017 and compiled it with the 2020 SDK. But compiling with the 2020 SDK seems to require a file named plugin.pipl that needs to be deployed in the bundle of the plug-in. With Illustrator CC 2020 and CC 2021 (25.0), if this file is missing it is not a problem but it is with Illustrator CC 2012 (25.1).

Deploying a plug-in for Illustrator CC 2012 (25.1) does not seem to require compiling the plug-in with 2021 SDK.

 

For those who are interested by solving this issue, you need to add two run script phases with the following commands

First script:

python ../../tools/pipl/create_pipl.py -input '[{"name":"Set your plugin name here"}]'

Second script (for deployment)

 

mkdir -p "${CONFIGURATION_BUILD_DIR}/${PRODUCT_NAME}.aip/Contents/Resources/pipl"

cp -f "plugin.pipl" "${CONFIGURATION_BUILD_DIR}/${PRODUCT_NAME}.aip/Contents/Resources/pipl/plugin.pipl"

 

You can also find these scripts in the Build phases section of your target in the example  LiveDropShadow

TOPICS
SDK

Views

268

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Broken plug-in with Adobe Illustrator CC 2021 25.1 on macOS

Explorer ,
Jan 07, 2021

Copy link to clipboard

Copied

Hi

 

I have a plug-in that was working fine with Adobe Illustrator 2021 25.0 but with the update of yesterday (25.1), it is not loaded anymore on macOS. On windows, my plug-in works fine.

 

My plug-in was built with the CC2020 SDK. It was working fine with Adobe Illustrator CC 2020 and CC 2021 (25.0).

 

I decided to compile it with the latest SDK CC2021 (october 2020) but it does not work.

I tried to compile the example LiveDropShadow and it does not work neither.

 

Are there new requirements to compile a plug-in for this new version ?

 

I looked into the getting-started-guide.pdf and I noticed that Xcode 11.3 is needed. 

Xcode 11.3 requires 10.14 to run it and not 10.13 as said in the document.

Moreover the SDK provided by Xcode 11.3.1 is 10.15 and not 10.13.

 

How can I be able to compile my plug-in ?

 

 

Thanks for your answers.

I succeeded to fix my plug-in.

 

There were two problems: 

 

1) The first one was about loading the plug-in. I don't know why but my version of Illustrator was unable to load plug-ins from an additional folder set in the preferences of Illustrator (Section Plug-ins & Scratch Disks of the preferences).  I have uninstalled Illustrator and delete the preferences and reinstalled it. Now it can load plug-in from additional folder. Now the example LiveDropShadow is correctly loaded in Illustrator

 

2) The second problem was about the file plugin.pipl. My plug-in supports several Illustrator versions from CC 2014 to CC 2020. To support Adobe Illustrator CC 2020, I used my project that supports Adobe Illustrator CC 2017 and compiled it with the 2020 SDK. But compiling with the 2020 SDK seems to require a file named plugin.pipl that needs to be deployed in the bundle of the plug-in. With Illustrator CC 2020 and CC 2021 (25.0), if this file is missing it is not a problem but it is with Illustrator CC 2012 (25.1).

Deploying a plug-in for Illustrator CC 2012 (25.1) does not seem to require compiling the plug-in with 2021 SDK.

 

For those who are interested by solving this issue, you need to add two run script phases with the following commands

First script:

python ../../tools/pipl/create_pipl.py -input '[{"name":"Set your plugin name here"}]'

Second script (for deployment)

 

mkdir -p "${CONFIGURATION_BUILD_DIR}/${PRODUCT_NAME}.aip/Contents/Resources/pipl"

cp -f "plugin.pipl" "${CONFIGURATION_BUILD_DIR}/${PRODUCT_NAME}.aip/Contents/Resources/pipl/plugin.pipl"

 

You can also find these scripts in the Build phases section of your target in the example  LiveDropShadow

TOPICS
SDK

Views

269

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jan 07, 2021 2
Adobe Community Professional ,
Jan 07, 2021

Copy link to clipboard

Copied

I have heard on other forums that the new update, which is not available to everyone, has disabled some plug-ins. The companies making the plug-ins will probably follow up with an update, but until you hear from them, you might want to hold off from updating.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 07, 2021 0
Explorer ,
Jan 08, 2021

Copy link to clipboard

Copied

I'm not just an Illustrator user, I'm the developer in charge of the plug-in for my company.
The update was done automatically and our customers will face quickly this issue.

I need to fix this issue as soon as possible.

 

Since the issue is only specific for macOS, I assume that Adobe is preparing the next release of Illustrator supporting Apple M1. Are there new requirements like signing the plug-in ?

Is is strange that the examples provided in the SDK do not work with this new update. They compile but they are not loaded by Illustrator. A simple example provided in the SDK is LiveDropShadow. It is not loaded by Illustrator 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 08, 2021 0
Adobe Community Professional ,
Jan 08, 2021

Copy link to clipboard

Copied

Are you a member of the prerelease program? You will find a lot more info there and direct contact with the developers.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 08, 2021 0
Explorer ,
Jan 08, 2021

Copy link to clipboard

Copied

I've subscribed to beta programs and I'm receiving emails from adobeprelease.com to check new versions 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 08, 2021 0
Explorer ,
Jan 08, 2021

Copy link to clipboard

Copied

It seems there is a bug in the preferences windows of Illustrator in the section Plug-ins and Scratch Disks.
When the option "Additional Plug-in Folder" is enabled, it does not display the folder where Illustrator will load the plug-ins. When I'm clicking on Choose, it shows me the path but I don't think Illustrator is using it in fact to load the plug-in.

 

When I set this preference on the folder of the plug-in LiveDropShadow. This plug-in is not loaded.

If I'm moving this plug-in directly in the plug-in folder of Illustrator 

/Applications/Adobe Illustrator 2021/Plug-ins.localized

 

Moving my own plug-in into /Applications/Adobe Illustrator 2021/Plug-ins.localized does not work. 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 08, 2021 0
Adobe Community Professional ,
Jan 08, 2021

Copy link to clipboard

Copied

I would suggest to discuss this issue in the prerelease froums, because there you will discuss with the Illustrator developers directly.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 08, 2021 0
Adobe Employee ,
Jan 08, 2021

Copy link to clipboard

Copied

Hi all,

 

I agree with Monika, please check the prerelease forum for more details. This issue has been reported by some plugin manufacturers already and we are working on this. Since this process involves the plugin makers as well, please allow some time to get it fixed. In the meanwhile, if you use third-party plugins, use the previous version of Illustrator.

 

If you need assistance in installing the previous build, please check this link for help.

 

Thanks,

Om

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 08, 2021 0
Explorer ,
Jan 08, 2021

Copy link to clipboard

Copied

Thanks for your answers.

I succeeded to fix my plug-in.

 

There were two problems: 

 

1) The first one was about loading the plug-in. I don't know why but my version of Illustrator was unable to load plug-ins from an additional folder set in the preferences of Illustrator (Section Plug-ins & Scratch Disks of the preferences).  I have uninstalled Illustrator and delete the preferences and reinstalled it. Now it can load plug-in from additional folder. Now the example LiveDropShadow is correctly loaded in Illustrator

 

2) The second problem was about the file plugin.pipl. My plug-in supports several Illustrator versions from CC 2014 to CC 2020. To support Adobe Illustrator CC 2020, I used my project that supports Adobe Illustrator CC 2017 and compiled it with the 2020 SDK. But compiling with the 2020 SDK seems to require a file named plugin.pipl that needs to be deployed in the bundle of the plug-in. With Illustrator CC 2020 and CC 2021 (25.0), if this file is missing it is not a problem but it is with Illustrator CC 2012 (25.1).

Deploying a plug-in for Illustrator CC 2012 (25.1) does not seem to require compiling the plug-in with 2021 SDK.

 

For those who are interested by solving this issue, you need to add two run script phases with the following commands

First script:

python ../../tools/pipl/create_pipl.py -input '[{"name":"Set your plugin name here"}]'

Second script (for deployment)

 

mkdir -p "${CONFIGURATION_BUILD_DIR}/${PRODUCT_NAME}.aip/Contents/Resources/pipl"

cp -f "plugin.pipl" "${CONFIGURATION_BUILD_DIR}/${PRODUCT_NAME}.aip/Contents/Resources/pipl/plugin.pipl"

 

You can also find these scripts in the Build phases section of your target in the example  LiveDropShadow

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 08, 2021 1
New Here ,
Jan 13, 2021

Copy link to clipboard

Copied

We encountered same problem today and were able to fix immediately.

 

Thanks very much for taking the effort to describe what the issue was and how to solve it - very much appreciated! 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 13, 2021 0
StuJ_ LATEST
New Here ,
17 hours ago

Copy link to clipboard

Copied

I had exactly the same problem.  Thanks to your information this was an easy fix.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
17 hours ago 0
Resources